Bug 176525 - Review Request: python-setuptools: Download, build, install, upgrade, and uninstall Python packages
Review Request: python-setuptools: Download, build, install, upgrade, and uni...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT 176526 176527 176532
  Show dependency treegraph
 
Reported: 2005-12-24 02:55 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-29 01:24:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-24 02:55:24 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/python-setuptools.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/python-setuptools-0.6a8-1.src.rpm
Description: setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.

Known issues:
W: python-setuptools invalid-license PSFL/ZPL
E: python-setuptools zero-length /usr/lib/python2.4/site-packages/setuptools-0.6a8-py2.4.egg/EGG-INFO/not-zip-safe

I'm reluctant to touch the second issue seeing as I have no clue how eggs work.
Comment 1 Miloslav Trmač 2005-12-27 05:19:37 EST
- rpmlint matches the above
  * licenses: both are OK
  * not-zip-safe: the code uses existence of the file as a flag, so it should
    be packaged
- package name, spec file name OK
- conforms to PackagingGuidelines
- license text not included in package
- source matches upstream
- builds fine on i386 fc4, "import setuptools" works
- no forbidden BuildRequires
- owns all necessary directories

Accepted.
Comment 2 Ignacio Vazquez-Abrams 2005-12-29 01:24:41 EST
Built on FC-4 and devel.
Comment 3 Konstantin Ryabitsev 2007-03-20 07:57:28 EDT
Please create EPEL branches:

Branches: EL4 EL5

Note You need to log in before you can comment on or make changes to this bug.